<?php

namespace Drupal\require_on_publish\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

/**
 * Validates the RequireOnPublish constraint.
 */
class RequireOnPublishValidator extends ConstraintValidator {

  /**
   * {@inheritdoc}
   */
  public function validate($entity, Constraint $constraint) {
    if (isset($entity) && $entity->isPublished()) {
      foreach ($entity->getFields() as $field) {
        if ($field->getSetting('require_on_publish') && $field->isEmpty()) {
          $label = $field->getFieldDefinition()->getLabel();
          $this->context->addViolation($constraint->message, ['%field_label' => $label]);
        }
      }
    }
  }

}
